/*
* This file is part of Firestorm NIDS
* Copyright (c) 2001 Gianni Tedesco
*
*    Firestorm is free software; you can redistribute it and/or modify
*    it under the terms of the GNU General Public License as published by
*    the Free Software Foundation; either version 2 of the License, or
*    (at your option) any later version.
*
*    Firestorm is distributed in the hope that it will be useful,
*    but WITHOUT ANY WARRANTY; without even the implied warranty of
*    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*    GNU General Public License for more details.
*
*    You should have received a copy of the GNU General Public License
*    along with Firestorm; if not, write to the Free Software
*    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/


#ifndef __MATCH_TCP_PLUGIN_HEADER_INCLUDED__
#define __MATCH_TCP_PLUGIN_HEADER_INCLUDED__

#include <g_globals.h>
#include <s_globals.h>
#include <plugins.h>

#define MODE_NORMAL	0
#define MODE_ALL	1
#define MODE_ANY	2
#define MODE_NOT	3

typedef struct tcpflag_priv{
	u_int8_t	tcp_flags;
	u_int8_t	mode;
}tcpflag_priv_t, *p_tcpflag_priv;

#endif /* __MATCH_TCP_PLUGIN_HEADER_INCLUDED__ */
