/*
* This file is part of Firestorm NIDS
* Copyright (c) 2001 Gianni Tedesco
*
*    Firestorm is free software; you can redistribute it and/or modify
*    it under the terms of the GNU General Public License as published by
*    the Free Software Foundation; either version 2 of the License, or
*    (at your option) any later version.
*
*    Firestorm is distributed in the hope that it will be useful,
*    but WITHOUT ANY WARRANTY; without even the implied warranty of
*    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*    GNU General Public License for more details.
*
*    You should have received a copy of the GNU General Public License
*    along with Firestorm; if not, write to the Free Software
*    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/


#ifndef __MATCH_STR_PLUGIN_HEADER_INCLUDED__
#define __MATCH_STR_PLUGIN_HEADER_INCLUDED__

#include <g_globals.h>
#include <s_globals.h>
#include <plugins.h>

typedef struct str_seg {
	list_head_t	l;

	uint		len;
	void		*seg;
}str_seg_t, *p_str_seg;

typedef struct str_priv {
	char	*str;
	uint	len;
	uint	offset;
	uint	depth;
	int	nocase;
}str_priv_t, *p_str_priv;

#endif /* __MATCH_STD_PLUGIN_HEADER_INCLUDED__ */
